
Foreman - Bug #2892

unattended spoof mode only work for an administrator

08/07/2013 08:06 AM - Ohad Levy

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

also, the 403 message can't be shown as there is no layout for unattended

Related issues:

Related to Foreman - Bug #10689: Unattended controller permission check does ... Duplicate 06/03/2015

Has duplicate Foreman - Bug #3391: Unable to spoof templates as non-admin Duplicate 10/21/2013

History

#1 - 08/07/2013 08:07 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 11/01/2013 10:47 AM - Dominic Cleal

- Has duplicate Bug #3391: Unable to spoof templates as non-admin added

#3 - 11/01/2013 10:47 AM - Dominic Cleal

See #3391 for more info.

#4 - 11/12/2013 01:11 PM - Anonymous

- Target version set to 1.10.0

#5 - 12/04/2013 01:13 PM - Anonymous

- Target version deleted (1.10.0)

#6 - 03/31/2014 08:27 AM - Dominic Cleal

- Status changed from New to Resolved

- Target version set to 1.8.4

- translation missing: en.field_release set to 4

Re-tested this on Foreman 1.5 and it appears to have been fixed for a user with *_hosts permissions, please re-open if you find otherwise.

#7 - 06/03/2015 08:54 AM - Dominic Cleal

- Related to Bug #10689: Unattended controller permission check does not work added
